petsc-3.12.4 2020-02-04
Report Typos and Errors

# ISType

String with the name of a PETSc index set type

### Synopsis

    #include "petscis.h"
    typedef const char* ISType;
    #define ISGENERAL      "general"
    #define ISSTRIDE       "stride"
    #define ISBLOCK        "block"

### See Also

ISSetType(), IS, ISCreate(), ISRegister()

### Level

beginner

### Location

src/vec/is/is/../../../../include/petscis.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages